summaryrefslogtreecommitdiff
path: root/totsc/install-patch-baldurdash-text.sh
diff options
context:
space:
mode:
Diffstat (limited to 'totsc/install-patch-baldurdash-text.sh')
-rwxr-xr-xtotsc/install-patch-baldurdash-text.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/totsc/install-patch-baldurdash-text.sh b/totsc/install-patch-baldurdash-text.sh
new file mode 100755
index 0000000..35fba39
--- /dev/null
+++ b/totsc/install-patch-baldurdash-text.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# BG1 TOTSC Baldurdash text pack
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+if [ "$LANGUAGE" != "English" ]; then
+ echo "The Baldurdash text pack is only available in English"
+ die
+fi
+
+checkforbin unzip wget
+
+setuptmp
+
+getpatch http://www.baldurdash.org/LargeDownloads/BG1TOSCGameTextUpdate11.exe
+
+# unzip complains unnecessarily about skipping non-zip
+# part so don't print errors or die on failure
+unzip -L $TMPDIR/BG1TOSCGameTextUpdate11.exe -d $TMPDIR 2>/dev/null
+cp $TMPDIR/dialog.tlk "$TARGETDIR/" || die
+
+cleanuptmp
+setperms "$TARGETDIR"